org.eclipse.jetty.client.security

## Interface Authentication

All Known Implementing Classes:
  BasicAuthentication, DigestAuthentication, ProxyAuthorization

    public interface Authentication

Simple authentication interface that sets required fields on the exchange.

### Method Summary

Methods
`void` `setCredentials(HttpExchange exchange)`

### Method Detail

#### setCredentials

    void setCredentials(HttpExchange exchange)
                        throws IOException

Throws:
  `IOException`